

Holland_Map_V3001 = {}

local Holland_Map_V3001_mt = Class(Holland_Map_V3001, Mission00);


function Holland_Map_V3001:new(baseDirectory, customMt)
    local mt = customMt;
    if mt == nil then
        mt = Holland_Map_V3001_mt;
    end;
    local self = Holland_Map_V3001:superClass():new(baseDirectory, mt);

--    self.playerStartX = 39;
--    self.playerStartY = 0.1;
--    self.playerStartZ = -330;
--    self.playerRotX = 0;
--    self.playerRotY = Utils.degToRad(90);

    return self;
end;

function Holland_Map_V3001:delete()
    Holland_Map_V3001:superClass().delete(self);
end;

function Holland_Map_V3001:load()
    self:startLoadingTask();

    self.environment = Environment:new(Utils.getFilename("$data/sky/sky_day_night.i3d", self.baseDirectory), true, 8, true, true);

    self.helpIconsBase = nil;
    self.collectableHorseshoesObject = nil;
    self.fieldDefinitionBase = nil;
    self.vehicleShopBase = nil;

    self:loadMap(Utils.getFilename("map02.i3d", self.baseDirectory), true, self.loadMap01Finished, self);
	
	--DURAL : add this line to support the "realisticStartSettings.xml" file
	--20131220 - not needed anymore
	--g_currentMission.realMapBaseDirectory = self.baseDirectory;
	
end;

function Holland_Map_V3001:loadMap01Finished(node, arguments)

    self:loadMapXMLFile(Utils.getFilename("Holland_Map_V3001.xml", self.baseDirectory));

    self.missionPDA:loadMap(Utils.getFilename("pda_map.png", self.baseDirectory), 2048, 2048);

    g_inGameMenu:setMapViewsMap(Utils.getFilename("pda_map.png", self.baseDirectory));

    local iconSize = self.missionPDA.pdaMapWidth / 15;

    -- ATMs


    -- Vehicle Shop


    -- Phone Booths


    -- egg sellpoints


    -- farm silos

	
    -- bga

    
    -- Grass Heaps
	

    -- livestock


    -- spinnery
	

    Holland_Map_V3001:superClass().load(self);

    if not self.missionDynamicInfo.isMultiplayer then
		self:updateFoundHorseshoes();
		self:updateFoundHelpIcons();
		self:updateMeteoriteCrash();
		self:updateRainbow();
--*************************************************************************************   DURAL  ***************************************************************
--*************************************************************************************  END DURAL  ***************************************************************		
    else
        self:removeAllHorseshoes();
        self:removeAllHelpIcons();
    end;

    --if g_isGamescomVersion then
        --self:playerOwnsAllFields();
    --end;

    self:finishLoadingTask();
	
	
	
end;

function Holland_Map_V3001:onStartMission()
    Holland_Map_V3001:superClass().onStartMission(self);
end;

function Holland_Map_V3001:mouseEvent(posX, posY, isDown, isUp, button)
    Holland_Map_V3001:superClass().mouseEvent(self, posX, posY, isDown, isUp, button);
end;

function Holland_Map_V3001:keyEvent(unicode, sym, modifier, isDown)
    Holland_Map_V3001:superClass().keyEvent(self, unicode, sym, modifier, isDown);
end;

function Holland_Map_V3001:update(dt)
    Holland_Map_V3001:superClass().update(self, dt);
end;

function Holland_Map_V3001:draw()
    Holland_Map_V3001:superClass().draw(self);
end;